local constants = require "scripts.constants"

local thisModule = {}

function thisModule.update(targetId)

	local blfVarName
	local btnId
	local callUidVarName

	if targetId == 1 then
		blfVarName = constants.Target1BlfVarName
		btnId = constants.BtnTarget1Id
		callUidVarName = constants.Target1CallUidVarName
	elseif targetId == 2 then
		blfVarName = constants.Target2BlfVarName
		btnId = constants.BtnTarget2Id
		callUidVarName = constants.Target2CallUidVarName
	elseif targetId == 3 then
		blfVarName = constants.Target3BlfVarName
		btnId = constants.BtnTarget3Id
		callUidVarName = constants.Target3CallUidVarName
	elseif targetId == 4 then
		blfVarName = constants.Target4BlfVarName
		btnId = constants.BtnTarget4Id
		callUidVarName = constants.Target4CallUidVarName
	else
		return
	end

	local blfStateStr = GetVariable(blfVarName)
	local blfState = -1
	if blfStateStr ~= "" then
		blfState = tonumber(blfStateStr)
	end

	local callIdStr = GetVariable(callUidVarName)
	local callState = nil
	if callIdStr ~= "" then
		local callId = tonumber(callIdStr)
		callState = GetCallState(callId)
	end

	local caption2 = ""

	if callState == nil or callState == 0 then
--[[	
		if blfState <= 0 then
			caption2 = "unknown state"
		elseif blfState == 1 then	-- terminated
			caption2 = "ready"
		elseif blfState == 2 or blfState == 3 then
			caption2 = "playing"
		end
--]]		
	elseif callState == 2 then		-- OUTGOING
		caption2 = "connecting..."
	elseif callState == 3 or callState == 4 or callState == 5 then
		caption2 = "ringing..."
	elseif callState == 6 then	-- ESTABLISHED
		caption2 = "connected"
	elseif callState == 0 then	-- CLOSED
		caption2 = ""
	else
		return
	end

	print(string.format("Setting button %d caption to [%s]\n", btnId, caption2))
	SetButtonCaption2(btnId, caption2)


end


return thisModule
