-- lock/unlock main menu on special button sequence
local locking = require "scripts.Locking"

local execSourceType = GetExecSourceType()	-- 0 = button, other: TBD
if execSourceType ~= 0 then
	ShowMessage("Unhandled source type!")
	return
end
local execSourceId = GetExecSourceId()		-- for button type: button id
local btnSrc = execSourceId;

local constants = require "scripts.constants"

local seqStartBtnId = constants.BtnAllId	-- reset sequence
local btnUnlockIds = {
	constants.BtnTarget4Id, constants.BtnTarget4Id, constants.BtnTarget4Id,
	constants.BtnTarget3Id, constants.BtnTarget3Id, constants.BtnTarget3Id,
	constants.BtnTarget2Id, constants.BtnTarget2Id, constants.BtnTarget2Id,
	constants.BtnTarget1Id, constants.BtnTarget1Id, constants.BtnTarget1Id
	}	-- sequence needed to unlock


local unlockSeq, unlockSeqIsSet = GetVariable("UnlockSeq")

-- ShowMessage(string.format("unlocked = %s, unlockSeq = %s\n", unlocked, unlockSeq))


if btnSrc == seqStartBtnId then
	ClearVariable("UnlockSeq")
	-- ShowMessage("start")
	return
end

if (unlockSeqIsSet == 0) then
	unlockSeq = 0
else
	unlockSeq = tonumber(unlockSeq)
end

if unlockSeq + 1 > #btnUnlockIds then
	-- ShowMessage("over")
	return
end

if btnSrc ~= btnUnlockIds[unlockSeq+1] then
	ClearVariable("UnlockSeq")
else
	if unlockSeq + 1 >= #btnUnlockIds then
		print("\n\nUnlocking\n\n")
		SetVariable("Unlocked", "1")
		-- MainMenuShow(1)
		-- UpdateSettings("{\"frmMain\": {\"HideMainMenu\": false}}")
		locking.set(false)
		print("\n\nUnlocked\n\n")
	end
	unlockSeq = unlockSeq + 1
	print(string.format("\nUnlocking: %d of %d\n", unlockSeq, #btnUnlockIds))
	SetVariable("UnlockSeq", unlockSeq)
end
